Package org.eclipse.swt.events

## Class ExpandEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.swt.events.TypedEvent
    - - org.eclipse.swt.events.SelectionEvent
      - - org.eclipse.swt.events.ExpandEvent

All Implemented Interfaces:
  `Serializable`

    public class ExpandEvent
    extends SelectionEvent

Instances of this class are sent as a result of `ExpandItem`s being expanded or collapsed.

Since:
  3.2
See Also:
  `ExpandListener`, Sample code and further information, Serialized Form

### Field Summary

### Fields inherited from class org.eclipse.swt.events.SelectionEvent

`detail, doit, height, item, stateMask, text, width, x, y`

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`ExpandEvent​(Event e)` Constructs a new instance of this class based on the information in the given untyped event.

### Method Summary

### Methods inherited from class org.eclipse.swt.events.SelectionEvent

`toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpandEvent

    public ExpandEvent​(Event e)

Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `e` - the untyped event containing the information